--------------------------------
-- NAV MDOE DATA DISPLAY PAGE --
--------------------------------

local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/TPOD/"

dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")
dofile(mpcd_path.."TPOD_VIDEO_DSPLY.lua")
dofile(mpcd_path.."TPOD_COMMON_DATA.lua")
dofile(mpcd_path.."TPOD_STBY_Page.lua")

-- LEFT
local	tpod_menu_btn_01				= CreateElement "ceStringPoly"
		tpod_menu_btn_01.name			= "tpod_menu_btn_01"
		tpod_menu_btn_01.material		= mpcd_tpod_font
		tpod_menu_btn_01.init_pos		= mpcd_btn_01_pos
		tpod_menu_btn_01.alignment		= "CenterCenter"
		tpod_menu_btn_01.value			= "V\nC\nR"
		tpod_menu_btn_01.stringdefs		= MPCD_data2_font_size
Add_MPCD_Element(tpod_menu_btn_01)

local	tpod_menu_btn_02				= CreateElement "ceStringPoly"
		tpod_menu_btn_02.name			= "tpod_menu_btn_02"
		tpod_menu_btn_02.material		= mpcd_tpod_font
		tpod_menu_btn_02.init_pos		= mpcd_btn_02_pos
		tpod_menu_btn_02.alignment		= "CenterCenter"
		tpod_menu_btn_02.value			= "D\nA\nT\nA"
		tpod_menu_btn_02.stringdefs		= MPCD_data2_font_size
Add_MPCD_Element(tpod_menu_btn_02)

local	tpod_menu_btn_03				= create_tpod_textured_box( 18, 72, 36, 113)
		tpod_menu_btn_03.name			= "tpod_menu_btn_03"
		tpod_menu_btn_03.init_pos		= mpcd_btn_03_pos
Add_MPCD_Element(tpod_menu_btn_03)

local	tpod_menu_zoom					= CreateElement "ceStringPoly"
		tpod_menu_zoom.name				= "tpod_menu_zoom"
		tpod_menu_zoom.material			= mpcd_tpod_font
		tpod_menu_zoom.init_pos			= {-0.95, 0.15, 0}
		tpod_menu_zoom.alignment		= "CenterCenter"
		tpod_menu_zoom.value			= "S\nY\nM"
		tpod_menu_zoom.stringdefs		= MPCD_data2_font_size
Add_MPCD_Element(tpod_menu_zoom)

local	tpod_menu_btn_04				= create_tpod_textured_box( 18, 18, 36, 60)
		tpod_menu_btn_04.name			= "tpod_menu_btn_04"
		tpod_menu_btn_04.init_pos		= mpcd_btn_04_pos
Add_MPCD_Element(tpod_menu_btn_04)

local	tpod_menu_btn_05				= CreateElement "ceStringPoly"
		tpod_menu_btn_05.name			= "tpod_menu_btn_05"
		tpod_menu_btn_05.material		= mpcd_tpod_font
		tpod_menu_btn_05.init_pos		= mpcd_btn_05_pos
		tpod_menu_btn_05.alignment		= "CenterCenter"
		tpod_menu_btn_05.formats		= {"%s"}
		tpod_menu_btn_05.controllers	= {{"tpod_tv_output_mode"}}
		tpod_menu_btn_05.stringdefs		= MPCD_data2_font_size
Add_MPCD_Element(tpod_menu_btn_05)

-- TOP
local	tpod_menu_btn_06				= CreateElement "ceStringPoly"
		tpod_menu_btn_06.name			= "tpod_menu_btn_06"
		tpod_menu_btn_06.material		= mpcd_tpod_font
		tpod_menu_btn_06.init_pos		= mpcd_btn_06_pos
		tpod_menu_btn_06.alignment		= "CenterCenter"
		tpod_menu_btn_06.formats		= {"%s"}
		tpod_menu_btn_06.stringdefs		= MPCD_data2_font_size
		tpod_menu_btn_06.controllers	= {{"tpod_lsr_status"}}
Add_MPCD_Element(tpod_menu_btn_06)

local	tpod_menu_btn_07				= CreateElement "ceStringPoly"
		tpod_menu_btn_07.name			= "tpod_menu_btn_07"
		tpod_menu_btn_07.material		= mpcd_tpod_font
		tpod_menu_btn_07.init_pos		= mpcd_btn_07_pos
		tpod_menu_btn_07.alignment		= "CenterCenter"
		tpod_menu_btn_07.value			= "TBST"
		tpod_menu_btn_07.stringdefs		= MPCD_data2_font_size
		tpod_menu_btn_07.controllers	= {{"TPOD_is_Operational"}}
Add_MPCD_Element(tpod_menu_btn_07)

local	tpod_menu_btn_08				= CreateElement "ceStringPoly"
		tpod_menu_btn_08.name			= "tpod_menu_btn_08"
		tpod_menu_btn_08.material		= mpcd_tpod_font
		tpod_menu_btn_08.init_pos		= mpcd_btn_08_pos
		tpod_menu_btn_08.alignment		= "CenterCenter"
		tpod_menu_btn_08.value			= "FIRE"
		tpod_menu_btn_08.stringdefs		= MPCD_data2_font_size
		tpod_menu_btn_08.controllers	= {{"TPOD_is_Operational"}, {"tpod_lsr_armed"}}
Add_MPCD_Element(tpod_menu_btn_08)

local	tpod_menu_btn_09				= CreateElement "ceStringPoly"
		tpod_menu_btn_09.name			= "tpod_menu_btn_09"
		tpod_menu_btn_09.material		= mpcd_tpod_font
		tpod_menu_btn_09.init_pos		= mpcd_btn_09_pos
		tpod_menu_btn_09.alignment		= "CenterCenter"
		tpod_menu_btn_09.formats		= {"%s"}
		tpod_menu_btn_09.stringdefs		= MPCD_data2_font_size
		tpod_menu_btn_09.controllers	= {{"tpod_lsr_mode"}}
Add_MPCD_Element(tpod_menu_btn_09)

local	tpod_menu_btn_10				= CreateElement "ceStringPoly"
		tpod_menu_btn_10.name			= "tpod_menu_btn_10"
		tpod_menu_btn_10.material		= mpcd_tpod_font
		tpod_menu_btn_10.init_pos		= mpcd_btn_10_pos
		tpod_menu_btn_10.alignment		= "CenterCenter"
		tpod_menu_btn_10.value			= "NAV"
		tpod_menu_btn_10.stringdefs		= MPCD_data2_font_size
Add_MPCD_Element(tpod_menu_btn_10)

-- RIGHT
local	tpod_menu_btn_11				= create_tpod_textured_box( 18, 18, 36, 60)
		tpod_menu_btn_11.name			= "tpod_menu_btn_11"
		tpod_menu_btn_11.init_pos		= mpcd_btn_12_pos
		tpod_menu_btn_11.controllers	= {{"tpod_flir_mode"}}
Add_MPCD_Element(tpod_menu_btn_11)

local	tpod_menu_FCS					= CreateElement "ceStringPoly"
		tpod_menu_FCS.name				= "tpod_menu_FCS"
		tpod_menu_FCS.material			= mpcd_tpod_font
		tpod_menu_FCS.init_pos			= {0.95, 0.15, 0}
		tpod_menu_FCS.alignment			= "CenterCenter"
		tpod_menu_FCS.values			= "F\nC\nS"
		tpod_menu_FCS.stringdefs		= MPCD_data2_font_size
		tpod_menu_FCS.controllers		= {{"tpod_flir_mode"}}
Add_MPCD_Element(tpod_menu_FCS)

local	tpod_menu_btn_12				= create_tpod_textured_box( 18, 72, 36, 113)
		tpod_menu_btn_12.name			= "tpod_menu_btn_12"
		tpod_menu_btn_12.init_pos		= mpcd_btn_13_pos
		tpod_menu_btn_12.controllers	= {{"tpod_flir_mode"}}
Add_MPCD_Element(tpod_menu_btn_12)

local	tpod_menu_btn_13				= CreateElement "ceStringPoly"
		tpod_menu_btn_13.name			= "tpod_menu_btn_13"
		tpod_menu_btn_13.material		= mpcd_tpod_font
		tpod_menu_btn_13.init_pos		= mpcd_btn_11_pos
		tpod_menu_btn_13.alignment		= "CenterCenter"
		tpod_menu_btn_13.values			= "H\nI\nT"
		tpod_menu_btn_13.stringdefs		= MPCD_data2_font_size
		tpod_menu_btn_13.controllers	= {{"tpod_flir_mode"}}
Add_MPCD_Element(tpod_menu_btn_13)

local	tpod_menu_btn_14				= CreateElement "ceStringPoly"
		tpod_menu_btn_14.name			= "tpod_menu_btn_14"
		tpod_menu_btn_14.material		= mpcd_tpod_font
		tpod_menu_btn_14.init_pos		= mpcd_btn_14_pos
		tpod_menu_btn_14.alignment		= "CenterCenter"
		tpod_menu_btn_14.value			= "T\nO\nP\nT"
		tpod_menu_btn_14.stringdefs		= MPCD_data2_font_size
Add_MPCD_Element(tpod_menu_btn_14)

local	tpod_menu_btn_15				= CreateElement "ceStringPoly"
		tpod_menu_btn_15.name			= "tpod_menu_btn_15"
		tpod_menu_btn_15.material		= mpcd_tpod_font
		tpod_menu_btn_15.init_pos		= mpcd_btn_15_pos
		tpod_menu_btn_15.alignment		= "CenterCenter"
		tpod_menu_btn_15.formats		= {"%s"}
		tpod_menu_btn_15.controllers	= {{"tpod_operational_mode"}}
		tpod_menu_btn_15.stringdefs		= MPCD_data2_font_size
Add_MPCD_Element(tpod_menu_btn_15)

-- BOTTOM
local	tpod_menu_btn_16				= CreateElement "ceStringPoly"
		tpod_menu_btn_16.name			= "tpod_menu_btn_16"
		tpod_menu_btn_16.material		= mpcd_tpod_font
		tpod_menu_btn_16.init_pos		= mpcd_btn_16_pos
		tpod_menu_btn_16.alignment		= "CenterCenter"
		tpod_menu_btn_16.values			= "REJ"
		tpod_menu_btn_16.stringdefs		= MPCD_data2_font_size
Add_MPCD_Element(tpod_menu_btn_16)


local	mpcd_mm_btn_19				= CreateElement "ceStringPoly"
		mpcd_mm_btn_19.name			= "mpcd_mm_btn_19"
		mpcd_mm_btn_19.material		= mpcd_tpod_font
		mpcd_mm_btn_19.init_pos		= mpcd_btn_19_pos
		mpcd_mm_btn_19.alignment	= "CenterCenter"
		mpcd_mm_btn_19.values		= "FRST"
		mpcd_mm_btn_19.stringdefs	= MPCD_data2_font_size
		mpcd_mm_btn_19.controllers	= {{"TPOD_is_Operational"}, {"tpod_flir_mode"}}
Add_MPCD_Element(mpcd_mm_btn_19)

-- BOXED SELECTIONS
local	mpcd_btn_02_sel				= create_mpcd_textured_box( 5, 4, 58, 153)
		mpcd_btn_02_sel.name		= "mpcd_btn_02_sel"
		mpcd_btn_02_sel.init_pos	= mpcd_btn_02_pos
		mpcd_btn_02_sel.controllers	= {{"TPOD_is_Operational"}}
Add_MPCD_VIDEO_Element(mpcd_btn_02_sel)

local	mpcd_btn_10_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		mpcd_btn_10_sel.name		= "mpcd_btn_10_sel"
		mpcd_btn_10_sel.init_pos	= mpcd_btn_10_pos
		mpcd_btn_10_sel.controllers	= {{"TPOD_is_Operational"}}
Add_MPCD_Element(mpcd_btn_10_sel)
